Authenticate the desktop app with its desktop token. Returns the access token instead of setting cookies.
POST
/users/login/desktop
const url = 'https://antimony.example.com/api/users/login/desktop';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://antimony.example.com/api/users/login/desktop \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Request Body
Section titled “Request Body”The desktop token
Media typeapplication/json
object
token
required
string
Example generated
{ "token": "example"}Responses
Section titled “Responses”The new access token of the user
string
The request body was invalid
Authentication via desktop token is disabled
The provided desktop token was invalid